#include <qlayout.h>
#include <klocale.h>
#include <kdebug.h>
#include "DetailWidget.h"
#include "gofaiItemProcess.h"

DetailWidget::DetailWidget(QWidget *parent, const char *name)
    :QTabWidget(parent, name)
{
    createNoteTab();
    createPropertiesTab();

    customtab = new QWidget(this);
    addTab(customtab, i18n("Custom fields"));
}


void DetailWidget::createNoteTab() {
    notetab = new QWidget(this);
    addTab(notetab, i18n("Note"));

    QVBoxLayout *hlay = new QVBoxLayout(notetab, 2);
    QHBoxLayout *vlay = new QHBoxLayout(hlay);
    link = new KURLLabel(notetab);

    link->setText("http://www.kde.org");
    link->setURL("http://www.kde.org");
    connect(link, SIGNAL(leftClickedURL(const QString&)),
            SLOT(slotOpenLink(const QString&)));
    editor = new QMultiLineEdit(notetab);
    vlay->addWidget(link);
    go = new QPushButton(i18n("Go!"), notetab);
    go->resize(50,50);
    connect(go, SIGNAL(clicked()),
            SLOT(slotGo()));

    vlay->addWidget(go);
    autopilot = new QCheckBox(i18n("Autopilot"),notetab);
    vlay->addWidget(autopilot);

    hlay->addWidget(editor);
    hlay->activate();
}


void DetailWidget::createPropertiesTab() {
    propertiestab = new QWidget(this);
    addTab(propertiestab, i18n("Properties"));
    //
    QGridLayout *glay = new QGridLayout(propertiestab, 0, 0, 10);
    int row=0;
    // name
    QLabel *label;
    name = new KLineEdit(propertiestab);
//    connect(name, SIGNAL(textChanged(const QString&)),
//            this, SLOT(setChanged()));
    glay->addWidget(name, row, 1);
    label = new QLabel(name, i18n("&Name"), propertiestab);
    glay->addWidget(label, row, 0);
    row++;
    // link
    linkedit = new KLineEdit(propertiestab);
//    connect(link, SIGNAL(textChanged(const QString&)),
//            this, SLOT(setChanged()));
    //linkedit->setMinimumSize(400, link->minimumWidth());
    glay->addWidget(linkedit, row, 1);
    label = new QLabel(linkedit, i18n("&URL"), propertiestab);
    glay->addWidget(label, row, 0);
    row++;
    // category
    category = new QCheckBox(propertiestab),
//    connect(category, SIGNAL(stateChanged(int)),
//            this, SLOT(setChanged()));
    glay->addWidget(category, row, 1);
    label = new QLabel(category, "&Category?", propertiestab);
    //label->setText(i18n("&Category?"));
    glay->addWidget(label, row,0);
    row++;
    // created
    created = new KLineEdit(propertiestab);
    created->setEnabled(false);
    glay->addWidget(created, row, 1);
    label = new QLabel(created, i18n("C&reated"), propertiestab);
    glay->addWidget(label, row, 0);
    row++;
    // last visited
    visited = new KLineEdit(propertiestab);
    visited->setEnabled(false);
    glay->addWidget(visited, row, 1);
    label = new QLabel(visited, i18n("&Visited"), propertiestab);
    glay->addWidget(label, row, 0);
    row++;

    name->setFocus();
    glay->activate();
}


void DetailWidget::createCustomTab() {
    //
}


void DetailWidget::setValues(gofaiItem *it) {
//    kdDebug() << "Set the values of the detail widget\n";
    currentItem = it;
    editor->setText(it->description);
    link->setText(it->link);
    link->setURL(it->link);
    if (autopilot->isChecked()) {
        slotGo();
    }
    // properties tab
    name->setText(it->name);
    linkedit->setText(it->link);
    category->setChecked(it->category);
}

void DetailWidget::getValues(gofaiItem *it) {
//    kdDebug() << "Save the values of the detail widget\n";
    it->description = editor->text();
    // properties tab
//     if (changed) {
    it->name = name->text();
    it->link = linkedit->text();
    it->category = category->isChecked();
//    }
}

void DetailWidget::slotGo() {
    gofaiItemProcess::browseTo(currentItem);
    setActiveWindow();
    raise();
}


void DetailWidget::slotOpenLink(const QString &/* link*/) {
    gofaiItemProcess::browseTo(currentItem);
    setActiveWindow();
    raise();

}
#include "DetailWidget.moc"
