/*
    This file is part of the KDE system
    Copyright (C)  1999 Boloni Laszlo

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.

    gofaiDetailWidget.h

*/

#ifndef __DETAILWIDGET_H
#define __DETAILWIDGET_H

#include <qtabwidget.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qmultilineedit.h>
#include <kurllabel.h>
#include <klineedit.h>
#include <qcheckbox.h>
#include "gofaiDataView.h"
#include "gofaiDataSource.h"



class DetailWidget :
public QTabWidget {
  Q_OBJECT
public:
  DetailWidget(QWidget *parent, const char *name=0);

public slots:
  void slotOpenLink(const QString &string);
  void slotGo();
  void setValues(gofaiItem *it);
  void getValues(gofaiItem *it);
private:
  gofaiItem *currentItem;
  void createNoteTab();
  void createPropertiesTab();
  void createCustomTab();

  QWidget *notetab, *propertiestab, *customtab;
    // widgets on the note tab
  KURLLabel *link;
  QMultiLineEdit *editor;
  QPushButton *go;
  QCheckBox *autopilot;
    // widgets on the properties tab
  KLineEdit *name, *linkedit;
  QCheckBox *category;
  KLineEdit *created, *visited; // later, datepicker
    // widgets on the custom fields tab
};

#endif // __DETAILWIDGET_H
