/*
 * gofaiLinkEditor.cpp
 *
 * Copyright (C) 1999 Boloni Laszlo
 *
 */

#include <stdlib.h>
#include "gofaiLinkEditor.h"
#include "gofaiLinkType.h"
#include "gofaiConfig.h"
#include <qlayout.h>
#include <qlabel.h>
#include <qvalidator.h>
#include <qcombobox.h>
#include "klocale.h"

gofaiLinkEditor::gofaiLinkEditor(QWidget *) :
    KDialogBase(KDialogBase::Plain, 
		"Node Editor",
		Ok|Cancel, 
		Ok
		) {
  //    KDialog(parent, i18n("LinkEditor"), true) {
    setCaption(i18n("Edit link"));
    QFrame *page = plainPage();
    QVBoxLayout *vlay = new QVBoxLayout(page, 2);
    QGridLayout *glay = new QGridLayout(vlay, 0, 0, 10); 

    int row=0;
    QLabel *label;
    type = new KComboBox(this);    
    connect(type, SIGNAL(textChanged(const QString&)), 
	    this, SLOT(setChanged())); 
    glay->addWidget(type, row, 1);
    label = new QLabel(type, i18n("&Name"), this);
    glay->addWidget(label, row, 0);
    row++;

    // confidence 
    confidence = new QSlider(-1000,1000, 100, 0, Horizontal, this);
    confidence->setTickmarks(QSlider::Below);
    connect(confidence, SIGNAL(valueChanged(int)), 
	    this, SLOT(setChanged())); 
    glay->addWidget(confidence, row, 1); 
    label = new QLabel(confidence, i18n("Con&fidence"), this);
    glay->addWidget(label, row, 0);
    row++;
    // strenght    
    strength = new KLineEdit(this);
    strength->setValidator(new QIntValidator(strength));
    strength->setEnabled(false);    
    glay->addWidget(strength, row, 1); 
    label = new QLabel(strength, i18n("&Strength"), this);
    glay->addWidget(label, row, 0); 
    row++; 

    type->setFocus();
    vlay->activate();
}

/*
void gofaiLinkEditor::enableOk() {
  ok->setEnabled(true);
}
*/

void gofaiLinkEditor::setChanged() {
    changed = true;
}


void gofaiLinkEditor::setFields(gofaiItem *it) {
    //    name->setText(it->name);
    // fill in the fields of type
    gofaiLinkType *glt;    
    for ( glt=gofaiConfig::getInstance()->link_types.first();
	  glt != 0;
	  glt=gofaiConfig::getInstance()->link_types.next() ) {
	type->insertItem(glt->name);
    }
    for(int i=0; i!=type->count();i++) {
	if (type->text(i)==it->name) {
	    type->setCurrentItem(i);
	    break;
	}
    }
    //
    QString val;
    val.sprintf("%d", it->strength);
    strength->setText(val);
    confidence->setValue(it->confidence);
}

void gofaiLinkEditor::getFields(gofaiItem *it) {
    if (changed) {
	//	it->name = name->text();
	it->name = type->currentText();	
	it->strength = atoi(strength->text().ascii());
	it->confidence = confidence->value();
    }
}
#include "gofaiLinkEditor.moc"
