/*
 * gofaiNewNodeDialog.h
 *
 * Copyright (C) 1999 Boloni Laszlo
 *
 */

#include "gofaiNewNodeDialog.h"
#include "gofaiConfig.h"
#include <qlayout.h>
#include "klocale.h"

gofaiNewNodeDialog::gofaiNewNodeDialog(QWidget *parent, QString center) :
    KDialog(parent, "New node!", true) {
    setCaption(i18n("New node"));

    QVBoxLayout *hlay = new QVBoxLayout(this); 
    
    edt = new KLineEdit(this);    
    hlay->addWidget(edt);

    QString text;
    text.sprintf("Reminds me of %s", center.ascii());

    reminds = new QCheckBox(text, this);    
    reminds->setChecked(gofaiConfig::getInstance()->remindsMe);
    hlay->addWidget(reminds);

    QHBoxLayout *vlay = new QHBoxLayout(hlay, 2);
    
    ok = new QPushButton( i18n("OK"), this );
    ok->setEnabled(false);
    vlay->addWidget(ok);

    connect( ok, SIGNAL(clicked()), SLOT(accept()) );
    connect( edt, SIGNAL(textChanged(const QString&)), SLOT(enableOk()));
    connect( edt, SIGNAL(returnPressed()), SLOT(accept()));

    cancel = new QPushButton( i18n("Cancel"), this );
    vlay->addWidget(cancel);
    
    //cancel->setGeometry( 10,60, 100,30 );
    connect( cancel, SIGNAL(clicked()), SLOT(reject()) );
    edt->setFocus();
    hlay->activate();
}

QString gofaiNewNodeDialog::getValue() {
  return edt->text();
};

void gofaiNewNodeDialog::enableOk() {
  ok->setEnabled(true);
}
#include "gofaiNewNodeDialog.moc"
