/*
    This file is part of the KDE system
    Copyright (C)  1999 Boloni Laszlo

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.

    gofaiStatisticsWindow.cpp

 */

#include "gofaiStatisticsWindow.h"
#include <qlayout.h>
#include <qlabel.h>
#include <qmultilineedit.h>
#include <kdebug.h>
#include "klocale.h"

gofaiStatisticsWindow::gofaiStatisticsWindow(QWidget *parent) :
    KDialog(parent, "NodeEditor", true) {
    setCaption(i18n("Statistics"));
    QVBoxLayout *vlay = new QVBoxLayout(this, 2);
    QGridLayout *glay = new QGridLayout(vlay, 0, 0, 10);
    int row=0;
    // name
    statistics = new QMultiLineEdit(this);
    glay->addWidget(statistics, row, 0);
    row++;

    QHBoxLayout *hlay = new QHBoxLayout(vlay, 2);

    ok = new QPushButton( i18n("OK"), this );
    hlay->addWidget(ok);
    connect( ok, SIGNAL(clicked()), SLOT(accept()) );
    vlay->activate();
}

#include "gofaiStatisticsWindow.moc"
